%define module_name	pctel
%define module_version	0.9.6
%define module_release	alt22.6

%define kversion	2.4.29
%define krelease	alt6
%define flavour		std-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	drivers for pct789 (PCTel), cm8738, i8xx, sis and via686a modems
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux

Patch1:		pctel-0.9.6-alt-intel-82801db.patch

BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

Obsoletes: kernel-modules-%module_name-sis-%flavour

%description
drivers for pct789 (PCTel), cm8738, i8xx, sis and via686a modems

These are modules for your ALT Linux system.

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%patch1 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

# configure usess GCC_VERSION internally :(
export CC=gcc-"$GCC_VERSION"
unset GCC_VERSION

build_with_HAL() 
{
  %configure --with-kernel-includes=%_includedir/linux-%kversion-%flavour/include --with-hal=$1
  make
  mv modules/ptserial.o modules/ptserial_$1.o
  mv modules/pctel.o modules/pctel_$1.o
}

for i in pct789 cm8738 i8xx sis via686a; do
#for i in pct789 cm8738 i810intel i810sis via686a; do
#for i in sis; do
    build_with_HAL $i
done

%install
mkdir -p \
    $RPM_BUILD_ROOT/%module_dir $RPM_BUILD_ROOT/%_sysconfdir
%__install -D -m 644 modules/*.o \
    $RPM_BUILD_ROOT/%module_dir
					    
%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt22.6
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt21.6
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt20.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt19.6
- Rebuild for kernel 2.4.26.

* Sat Feb 28 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt18.6
- Updated for the new compiler version selection scheme (GCC_VERSION).
- Added workaround for internal GCC_VERSION usage in the configure script.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt17.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt16.6
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Fri Oct 24 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt15.6
- Added Patch1: pctel-0.9.6-alt-intel-82801db.patch - Intel 82801DB AC'97 Modem
  controller support.

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 0.9.6-alt14.6
- replace /usr/include to _includedir macro
- fixed build requires
- builded drivers for pct789 cm8738 i8xx sis via686a HAL

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt13
- rebuilt with 2.4.21rel-alt14

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt12
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt11
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt10
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt9
- rebuilt with 2.4.21rel-alt10

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt8
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt7
- rebuilt with 2.4.21rel-alt8

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt6
- rebuilt with 2.4.21rel-alt7

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt5
- rebuilt with 2.4.21rel-alt6

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt4
- rebuilt with 2.4.21rel-alt5

* Tue Jul 08 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt3
- added new drivers.

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt2
- rebuilt with 2.4.21rel alt3.

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt1
- initial release.

